package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFIZ4Rs2 {

    private Map<String, Object> params;
    
    public MWFIZ4Rs2(Map<String, Object> params) {
        this.params = params;
    }

    public String rsInfolimitvariantkey() {
        return (String) params.get("RS_INFOLIMITVARIANTKEY");
    }

    public String rsSalesproducttype() {
        return (String) params.get("RS_SALESPRODUCTTYPE");
    }

    public Double rsLoanamount() {
        return (Double) params.get("RS_LOANAMOUNT");
    }

    public Long rsPaymentsnumber() {
        return (Long) params.get("RS_PAYMENTSNUMBER");
    }

    public Double rsInstalmentamount() {
        return (Double) params.get("RS_INSTALMENTAMOUNT");
    }

    public Double rsRpsn() {
        return (Double) params.get("RS_RPSN");
    }

    public Double rsInterestrate() {
        return (Double) params.get("RS_INTERESTRATE");
    }

    public Double rsTotalamount() {
        return (Double) params.get("RS_TOTALAMOUNT");
    }

    public Long rsUnifiedpartyinfolimitkey() {
        return (Long) params.get("RS_UNIFIEDPARTYINFOLIMITKEY");
    } 

}
